#!/usr/bin/perl -w

use CGI qw/:standard/;

print header;

%labels = (1 => 'Prodigy, The Fat of the Land, DM 19,90',
          2 => 'Rolling Stones, Bridges of Babylon, DM 18,90', 
          3 => 'Green Day, Nimrod, DM 21,90');

eval {
  if(!defined param('kundennummer')) {    ### Seite 1
      print start_html('-title', 'Willkommen'),
            h1('Willkommen im Cyber-Shop!'),
            start_form, 
            p("Ihre Kundennummer:"), 
            textfield(-name => 'kundennummer'),
            submit(-value => "Auf geht's!"),
            end_form, end_html;
  } elsif(!defined param('bestellung')) { ### Seite 2
      print start_html('-title', 'Bestellung'),
            h1("Unsere Preis-Schlager!"),
            start_form,
            radio_group('-name'      => 'bestellung',
                        '-values'    =>  [1,2,3],
                        '-default'   =>  1,
                        '-linebreak' => 'true',
                        '-labels'    => \%labels),
            p,
            submit(-value => 'Bestellen'),
            hidden(-name  => 'kundennummer'),
            end_form, end_html;
  } else {                                ### Seite 3
      open(ORDER, ">>orders.txt") || die "Cannot open orders.txt";
      flock(ORDER, 2);
      print ORDER "Kundennummer: ", param('kundennummer'),
                  " Bestellung: ", $labels{param('bestellung')}, "\n";
      close(ORDER);
  
      print start_html('-title', 'Danke!'),
            p, "Vielen Dank. ", 
            i($labels{param('bestellung')}), 
            " geht Ihnen in den nchsten Tagen zu.", p,
            p, "Der fllige Betrag wird mit Kundennummer ", 
            param('kundennummer'), " verrechnet.",
            p, "Viel Spa damit!",
            start_form, submit(-value => "Zurck zum Eingang"),
            end_form, end_html;
  }
};

if ($@) {                                 ### Fehler
    print "Unser System kann Ihre Order leider momentan " .
          "nicht entgegennehmen. Bitte versuchen Sie es spter " .
          "nochmal.\n";
    open(ERRORLOG, ">>/tmp/errorlog");
    print ERRORLOG scalar localtime, "> $@";
    close(ERRORLOG);
}

