#!/usr/bin/perl -w
##################################################
# suite.pl [-create] [-clean]
# -create: Create reference files
# -clean:  Cleanup ref files and their backups
#
# 1998, schilli@perlmeister.com
##################################################

use Test::Suite;

$suite = Test::Suite->new();

$suite->register("Erster Test",  "TEST1/one.pl", 
                                 "TEST1/two.pl");
$suite->register("Zweiter Test", "TEST2/mult.sh");
$suite->register("Dritter Test", <TEST3/*.pl>);

if(grep { $_ eq "-create"} @ARGV) {
   $suite->update();
} elsif(grep {$_ eq "-clean"} @ARGV) {
   $suite->clean();
} else {
   $suite->run();
}

