#!/usr/bin/perl -w

use Net::DNS;

$domain = $ARGV[0] || die "usage: $0 domain";

$resolver = new Net::DNS::Resolver;

   # MX-Record abfragen 
@mx = mx($resolver, $domain);

if (@mx) {
        # Erfolg! ber alle Resource Records iterieren
    foreach $rr (@mx) {
        print $rr->preference, " ", 
              $rr->exchange, "\n";
    }
} else {
        # Leere Liste, Fehler!
    print "Kein MX-Record fr $domain: ", 
          $resolver->errorstring, "\n";
}

