#!/usr/bin/perl 

use Proc::ProcessTable;

$t = new Proc::ProcessTable;

# Sortierbares Listen-Konstrukt erzeugen
@sizes = map { [$_->cmndline, $_->size] } 
            @{$t->table};

$count = 20;     # Nur die ersten zwanzig

# Sortierte Liste ausgeben
foreach $rec (sort { $b->[1] <=> $a->[1] } @sizes) {
    printf "%11s %s\n", commify($rec->[1]), 
           $rec->[0];
    last unless --$count;
}

##################################################
sub commify {    # Punkte in groe Zahlen einfgen
##################################################
    my $number = shift;
    while($number =~ s/(\d)(\d{3})\b/\1.\2/) { }
    return $number;
}

