#!/usr/bin/perl 

use CGI qw/:standard :html3/;
use Proc::ProcessTable;

$t = new Proc::ProcessTable;

# Alle 10 Sekunden neu laden
print header(-Refresh => 
             "10; URL=$ENV{SCRIPT_NAME}"),
      start_html('-title' => "Prozedaten"), 
      h1("Prozedaten"), "<TABLE border=1>\n";

# Sortierbares Listen-Konstrukt aufbauen
@sizes = map { [$_->pctcpu, $_->size, $_->cmndline] 
             } @{$t->table};

$count = 20;    # Maximal 20 Prozesse ausgeben

# Sortiert ausgeben
print TR(th("% CPU"), th("Size (Bytes)"), 
         th("Proze"));

foreach $rec (sort { $b->[0] <=> $a->[0] } @sizes) {
    print TR(td($rec->[0]), td($rec->[1]), 
          td($rec->[2]));
    last unless --$count;
}

print "</TABLE>", end_html();

