#!/usr/bin/perl
##################################################
# mschilli@perlmeister.com 1999
# Ein Bild manipulieren
##################################################
use Image::Magick;

$image = Image::Magick->new;

$image->Read("lion.jpg") && 
    die "Cannot read";

$image->Crop(geom=>'155x300+110+100');

$image->Scale(width => 200);

$image->Frame(inner => 2, outer => 2, 
              width => 20, height => 20);

$image->Annotate(text => "Woohoo!", 
                 geometry => "+55+30",
                 pen => "red", font => 'helvetica',
                 pointsize => 30);

$image->Write("manip.gif") && 
    die "Cannot write";

