#!/usr/bin/perl -w
##################################################
# Cards simulation
# mschilli@perlmeister.com 1999
##################################################

my $NOF_GAMES = 20000;
my @CARDS = ([qw(r r)], [qw(b b)], [qw(r b)]);

foreach (1..$NOF_GAMES) {
    my $card = $CARDS[rand @CARDS];
    my $side = int rand @$card;
    next if $card->[$side] ne "r";
    $flipcolor{$card->[$side ? 0 : 1]}++;
}

print "Red: $flipcolor{r} Black: $flipcolor{b}\n";

