#!/usr/bin/perl -w

my $PORT = 8017;

use HTTP::Daemon;
use LWP::UserAgent;

my $proxy = HTTP::Daemon->new( LocalPort => $PORT );
die "@_" unless defined $proxy;
print "Listening on port $PORT\n";

my $ua = LWP::UserAgent->new;
$ua->agent("miniproxy/1.0");

while (my $conn = $proxy->accept) {
    while (my $request = $conn->get_request) {
        my $response = $ua->simple_request($request);
        $conn->send_response($response);
    }
    $conn->close;
}

