#!/usr/bin/perl -w

use CGI qw/:standard :html3/;

%labels = ('r' => 'Rot', 'b' => 'Blau', 'g' => 'Grn');

$popup_menu = popup_menu(
                '-name'    =>  'farbe1', 
                '-values'  =>  ['r', 'g', 'b'], 
                 '-default' =>  'r', 
                 '-labels'  =>  \%labels);

$radio_group = radio_group(
                 '-name'    => 'farbe2',
                 '-values'  => ['r', 'g', 'b'],
                 '-default' => 'r',
                 '-labels'  => \%labels);

$textfield = textfield(
                 '-name'    => 'farbe3',
                 '-default' => '');

$textarea = textarea(
                 '-name'    => 'farbe4',
                 '-default' => '',
                 '-rows'    => 2,
                 '-columns' => 20);

$scrolling_list = scrolling_list(
                 '-name'     =>  'farbe5',
                 '-values'   =>  ['r', 'g', 'b'],
                 '-default'  =>  ['r', 'g'],
                 '-size'     =>  3,
                 '-multiple' => 'true',
                 '-labels'   => \%labels);

$checkbox_group = checkbox_group(
                 '-name'      => 'farbe6',
                 '-values'    =>  ['r', 'g', 'b'],
                 '-default'   =>  'r',
                 '-linebreak' => 'true',
                 '-labels'    => \%labels);

$checkbox = checkbox(
                 '-name'    => 'farbe7',
                 '-checked' => 'checked',
                 '-value'   => 'ja',
                 '-label'   => 'Ja?');

$submit = submit('-name'  => 'submit_knopf',
                 '-value' => 'Absenden');

$reset = reset();

print header,
      start_html('-title'   => 'Form Example',
                 '-BGCOLOR' => '#e0e0e6'),

      start_form('-method' => 'GET',
                 '-action' => '/cgi-bin/dump.pl'),
      
      table({'border' => 1}, 
            TR(td(tt("popup_menu")), td($popup_menu)),
            TR(td(tt("radio_group")), td($radio_group)),
            TR(td(tt("textfield")), td($textfield)),
            TR(td(tt("textarea")), td($textarea)),
            TR(td(tt("scrolling_list")), td($scrolling_list)),
            TR(td(tt("checkbox_group")), td($checkbox_group)),
            TR(td(tt("checkbox")), td($checkbox)),
            TR(td(tt("submit")), td($submit)),
            TR(td(tt("reset")), td($reset)),
           ),
      end_form,
      end_html;

