#!/usr/bin/perl -w

use Expect;

$username      = "user";   # Neuer user
$passwd        = "pass";   # ... und sein passwd

$passwdfile    = "htpasswd.dat";
$htpasswd_prog = "./htpasswd";

my $timeout = 10;          # Grundstzlich 10 sec
                           # auf Antwort warten

                           # htpasswd-Programm 
                           # starten
$robot = Expect->spawn($htpasswd_prog, 
                       $passwdfile, $username);

                           # Schon vorhanden?
$pattern = $robot->expect($timeout, 
                      "Changing", "New password:");

if(!defined $pattern) {
    die "New password: not found";
} elsif($pattern == 1) {
    die "User already there";
}
                           # Erstes Pawort
$robot->send_slow(0, "$passwd\n");

                           # Pawort-Besttigung
$robot->expect($timeout, 
               "Re-type new password:") || 
    die "Pattern Re-type new password: not found";
$robot->send_slow(0, "$passwd\n");

                     # Bis zum Programmende warten
$robot->expect(undef);

