#!/usr/bin/perl -w

use Expect;

my $timeout = 10;          # Grundstzlich 10 sec
                          # auf Antwort warten
my $host    = "remotehost";
my $host    = "localhost";
my $passwd  = "super-geheim";
 
                           # Telnet starten
$telnet = Expect->spawn("/bin/telnet", $host);
 
                           # Login
$r = $telnet->expect($timeout, 'login');
die "No 'login' prompt" unless defined $r;
$telnet->send_slow(0, "$user\n");
 
                           # Pawort
$r = $telnet->expect($timeout, -re => '[Pp]assword');
die "No 'password' prompt" unless defined $r;
$telnet->send_slow(0, "$passwd\n");
 
                           # Unix-Prompt
$r = $telnet->expect($timeout, '\$');
die "No unix prompt (\$)" unless defined $r;

$telnet->interact();       # In interaktiven 
                           # Modus schalten

