#!/usr/bin/perl -w
##################################################
# Internic-Record einholen:
# whois.pl domain-name
# michael@perlmeister.com
##################################################

use IO::Socket;

$domain = $ARGV[0] || die "usage: $0 domain";

$INTERNIC = "www.internic.net";

$addr = gethostbyname($INTERNIC);
die "Cannot resolve $INTERNIC" unless $addr;
$ip = inet_ntoa($addr);

    # Verbindung aufnehmen
$sock = IO::Socket::INET->new(PeerAddr => $ip,
                              PeerPort => 'whois',
                              Proto    => 'tcp');

$sock || die "Cannot connect to $INTERNIC: $@";

    # Buffer automatisch flushen
$sock->autoflush;

    # Anfrage ber Socket schicken
print $sock "dom $domain\r\n";

    # Daten lesen und ausgeben
print join('', <$sock>);

