#!/usr/bin/perl

use Image::Magick;

$images = Image::Magick->new();

foreach $file (qw(book1.gif book2.gif book1.gif)) {
   $images->Read(filename => $file) && die "Read failed";
}

$morph = $images->Morph(frames => 10);

$morph->Set(delay => 20, loop => 10);

$morph->Write("morph.gif") && 
    die "Cannot write";

