#!/usr/bin/perl
##################################################
# mschilli@perlmeister.com 1999
# Dateien nach JPG konvertieren
##################################################
use Image::Magick;

$images = Image::Magick->new();

foreach $file (@ARGV) {
    $images->Read(filename => $file) && 
       die "Read failed";
}

foreach $image (@$images) {

    $oldsize = $image->Get('filesize');

    ($newname = $image->Get('base_filename'))
         =~ s/\.[^.]*$/.jpg/;

    $image->Write($newname) && die "Write failed";

    printf "%s->%s (%s -> %s Bytes)\n", 
          $image->Get('base_filename'),
          $newname,
          commify($oldsize),
          commify(-s $newname); 
}

##################################################
sub commify {    # Punkte in groe Zahlen einfgen
##################################################
    my $number = shift;
    while($number =~ s/(\d)(\d{3})\b/\1.\2/) { }
    return $number;
}

