##################################################
# 99/06/14 mschilli@perlmeister.com
##################################################
package Logdata;

sub new { 
##################################################
   my ($class, $filename, $ndays) = @_;

    my $startpoint = time() - $ndays * 24 * 3600;

    my $self = { ids   => {}, odays => {} };

    bless $self, $class;

    open DATA, "<$filename" or return undef;
    while(<DATA>) { 
        chop; 
        @fields = split(' ', $_);
        if($fields[5] > $startpoint) {
            $self->add(@fields); 
        }
    }
    close(DATA);

    $self;
}

##################################################
sub add {
##################################################
    my ($self, $day, $time, $stat, $ip, $id, $secs,
        $ver, $url, $browser) = @_;

    my $hit = { day  => $day,  'time' => $time, 
                stat => $stat, ip     => $ip, 
                id   => $id,   secs   => $secs, 
                ver  => $ver,  url    => $url, 
                ua   => $ua };

    if($stat eq 'R') {
        push(@{$self->{ids}->{$id}},   $hit);

        $self->{seen_first}->{$id} ||= $day;

        if( $self->{seen_first}->{$id} ne $day &&
            ! $self->{seen_today}->{"$day$id"}++) {
            push(@{$self->{odays}->{$day}}, $hit);
        }
    }
}

1;

