##################################################
# Progress Bar - 1999, mschilli@perlmeister.com
##################################################
package ProgressBar;

##################################################
sub new {
##################################################
   my ($class, $maxlen) = @_;
    my $self  = { maxlen => $maxlen};
    bless $self, $class;
    return $self;
}

##################################################
sub status {
##################################################
    my ($self, $percent) = @_;

    my $barlen = $percent/100.0 * $self->{maxlen};
    sprintf "[%-$self->{maxlen}s] (%d%%)  ", 
            "=" x $barlen, $percent;
}

1;

